# PropertyPromptTask

Extends \Task

Deprecated task that uses console to prompt user for property values.

This class is very slightly simpler than the InputTask, but lacks the ability to use a non-console input handler. You should, therefore, use InputTask. This class can serve as a reference, but will be removed in the future.

author | Hans Lellelid hans@xmpl.org (Phing)
author | Anthony J. Young-Garner ajyoung@alum.mit.edu (Ant)
version | $Id: de25faf5f70bf92026b2d934db52a6a05d8dce5e $
package | phing.tasks.system
deprecated | in favor of the more capable InputTask

### Methods

## Sets the prompt text that will be presented to the user.

    addText(string $prompt) : void

### Arguments

#### $prompt

`string`

## Returns a string to be inserted in the log message indicating whether a default response was specified in the build file.

    getDefaultMessage()

## Returns defaultValue specified in this task for the Property being set.

    getDefaultValue() : string

### Response

`string`

## Returns the textual description of the task

    getDescription() : string

inherited

### Response

`string`

The text description of the task

## Returns the location within the buildfile this task occurs. Used by {@link BuildException} to give detailed error messages.

    getLocation() : \Location

inherited

### Response

`\Location`

The location object describing the position of this task within the buildfile.

## Returns the owning target of this task.

    getOwningTarget() : \Target

inherited

### Response

`\Target`

The target object that owns this task

## Returns a reference to current project

    getProject() : \Project

inherited

### Response

`\Project`

Reference to current porject object

## Returns the terminating character used to punctuate the prompt text.

    getPromptCharacter() : string

### Response

`string`

## Returns text of the prompt.

    getPromptText() : \java.lang.String

### Response

`\java.lang.String`

## Returns name of the Ant Project Property being set by this task.

    getPropertyName() : string

### Response

`string`

## Returns a name

    getRegisterSlot(string $slotName) : \RegisterSlot

inherited

### Arguments

#### $slotName

`string`

### Response

`\RegisterSlot`

## Returns the wrapper object for runtime configuration

    getRuntimeConfigurableWrapper() : \RuntimeConfigurable

inherited

### Response

`\RuntimeConfigurable`

The wrapper object used by this task

## Returns the name of task, used only for log messages

    getTaskName() : string

inherited

### Response

`string`

Name of this task

## Returns the name of the task under which it was invoked, usually the XML tagname

    getTaskType() : string

inherited

### Response

`string`

The type of this task (XML Tag)

## Called by the parser to let the task initialize properly.

    init()

inherited

Should throw a BuildException if something goes wrong with the build

This is abstract here, but may not be overloaded by subclasses.

throws |

## Insert the method's description here.

    isUseExistingValue() : boolean

Creation date: (12/10/2001 8:16:16 AM)

### Response

`boolean`

## Logs a message with the given priority.

    log(string $msg, integer $level = \Project::MSG_INFO) : void

inherited

### Arguments

#### $msg

`string`

The message to be logged.

#### $level

`integer`

The message's priority at this message should have

## Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice.

    main()

inherited abstract

Should throw a BuildException if someting goes wrong with the build

This is abstract here. Must be overloaded by real tasks.

## Configure this task if it hasn't been done already.

    maybeConfigure()

inherited

## Perfrom this task

    perform()

inherited

throws |

## Sets defaultValue for the Property being set by this task.

    setDefaultvalue(string $newDefaultvalue)

### Arguments

#### $newDefaultvalue

`string`

## Sets a textual description of the task

    setDescription(string $desc)

inherited

### Arguments

#### $desc

`string`

The text describing the task

## Sets the location within the buildfile this task occurs. Called by the parser to set location information.

    setLocation(\Location $location)

inherited

### Arguments

#### $location

`\Location`

The location object describing the position of this task within the buildfile.

## Sets the owning target this task belongs to.

    setOwningTarget(\Target $target)

inherited

### Arguments

#### $target

`\Target`

## References the project to the current component.

    setProject(\Project $project) : void

inherited

### Arguments

#### $project

`\Project`

The reference to the current project

## Sets the terminating character used to punctuate the prompt text (default is "?").

    setPromptCharacter(string $newPromptcharacter)

### Arguments

#### $newPromptcharacter

`string`

## Sets text of the prompt.

    setPromptText(string $newPrompttext)

### Arguments

#### $newPrompttext

`string`

## Sets the wrapper object this task should use for runtime configurable elements.

    setRuntimeConfigurableWrapper(\RuntimeConfigurable $wrapper)

inherited

### Arguments

#### $wrapper

`\RuntimeConfigurable`

The wrapper object this task should use

## Sets the name of this task for log messages

    setTaskName(string $name) : string

inherited

### Arguments

#### $name

`string`

### Response

`string`

A string representing the name of this task for log

## Sets the type of the task. Usually this is the name of the XML tag

    setTaskType( $name)

inherited

### Arguments

#### $name

``

## setUseExistingValue

    setUseExistingValue(boolean $newUseExistingValue)

### Arguments

#### $newUseExistingValue

`boolean`

### Properties

## The property name to set with the output.

    propertyName : string

var |

### Type(s)

`string`

## The default value to use if no input is entered.

    defaultValue : string

var |

### Type(s)

`string`

## The entered value.

    proposedValue : string

var |

### Type(s)

`string`

## The text to use for the prompt.

    promptText : string

var |

### Type(s)

`string`

## The character to put after the text.

    promptCharacter : string

var |

### Type(s)

`string`

## useExistingValue

    useExistingValue :

### Type(s)

``

## Owning Target object

    target : \Target

inherited

var |

### Type(s)

`\Target`

## Description of the task

    description : string

inherited

var |

### Type(s)

`string`

## Internal taskname (req)

    taskType : string

inherited

var |

### Type(s)

`string`

## Taskname for logger

    taskName : string

inherited

var |

### Type(s)

`string`

## Stored buildfile location

    location : \Location

inherited

var |

### Type(s)

`\Location`

## Wrapper of the task

    wrapper : \RuntimeConfigurable

inherited

var |

### Type(s)

`\RuntimeConfigurable`

## Holds a reference to the project that a project component (a task, a target, etc.) belongs to

    project : \Project

inherited

var | A reference to the current project instance

### Type(s)

`\Project`